<?
  require_once("comm_fns.php");
  require_once("db_fns.php");
  require_once("html_fns.php");
  require_once("valid_fns.php");

  session_start();
  
  html_head_begin(); ?><!--WZ-REKLAMA-1.0--><? html_head_end();
 
  if (session_is_registered("auth")) { 
  
    $msg = html_limited_data($msg); // prevod na HTML nekonfliktni
 
    html_menu($AUTH_MENU, "index");

    if($id && $act
     && ($act=="del" || !($err=valid_news($HTTP_POST_VARS)))  // kontrola s opravou
     && !($err=db_store_news($act)) ) {      // zapis aktuality

      $news = array("null", "", "", "");
      $act = "add";
      
      if ($notify) {         // notifikace
        html_section($NOTIFY_SECTION);
        if ($err=db_team($team)) html_msg($err, "err");
	else html_notify_team($team, "news", 
               "RPS - ". comm_short_date($date) ." - $title", $msg);
        $err="";
      }
    }
    
    else if($id && !$act) {   // nacteni pro modifikaci
      $err = db_load_news($news, $id);
      if(!$news) {            // zaznam neexistuje, vytvori novy  
        $news = array("null", "", "", "");  
        $act="add";
      }	
      $act="mod";
    }
    else {                     // chyby nebo prazdny formular
      if(!$act || $act=="del") { $id="null"; $act="add"; }
      $news = array($id, $date, $title, $msg);
    }  

    html_section(($act=="mod")? $NEWS_MOD_SECTION : $NEWS_ADD_SECTION);
    if($err) html_msg($err, "err");
    html_news_form($news, $act);
  }

  else { 
    html_menu($HOST_MENU, "index");
  
    html_section($PROJ_SECTION);
    if ($err = db_project($proj))
      html_msg($err, "err");
    else 
      html_project($proj);
  }   

  html_section($NEWS_SECTION);
  if ($err = db_news($news))
    html_msg($err, "err");
  else 
    html_news($news);
  
  html_tail();
?>
