# phpMyAdmin MySQL-Dump
# version 2.3.2
# http://www.phpmyadmin.net/ (download page)
#
# Pota: mysql.wz.cz
# Vygenerovno: Steda  2. dubna 2003, 13:44
# Verze MySQL: 4.00.11
# Verze PHP: 4.3.0
# Databze : `iop`
# --------------------------------------------------------

#
# Struktura tabulky `files`
#

DROP TABLE IF EXISTS files;
CREATE TABLE files (
  id int(11) NOT NULL auto_increment,
  file varchar(30) binary NOT NULL default '',
  title varchar(60) NOT NULL default '',
  text text NOT NULL,
  private tinyint(4) NOT NULL default '0',
  author varchar(8) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY file (file)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `files`
#

# --------------------------------------------------------

#
# Struktura tabulky `forum`
#

DROP TABLE IF EXISTS forum;
CREATE TABLE forum (
  id int(11) NOT NULL auto_increment,
  pid int(11) NOT NULL default '0',
  title varchar(60) NOT NULL default '',
  msg text NOT NULL,
  forward tinyint(4) NOT NULL default '0',
  stamp timestamp(14) NOT NULL,
  author varchar(8) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `forum`
#

# --------------------------------------------------------

#
# Struktura tabulky `news`
#

DROP TABLE IF EXISTS news;
CREATE TABLE news (
  id int(11) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  title varchar(60) NOT NULL default '',
  msg text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `news`
#

# --------------------------------------------------------

#
# Struktura tabulky `project`
#

DROP TABLE IF EXISTS project;
CREATE TABLE project (
  id int(11) NOT NULL auto_increment,
  name varchar(30) NOT NULL default '',
  deadline date NOT NULL default '0000-00-00',
  state int(11) NOT NULL default '0',
  author varchar(8) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `project`
#

# --------------------------------------------------------

#
# Struktura tabulky `session`
#

DROP TABLE IF EXISTS session;
CREATE TABLE session (
  id int(11) NOT NULL auto_increment,
  date date NOT NULL default '0000-00-00',
  subject varchar(100) NOT NULL default '',
  result text NOT NULL,
  author varchar(8) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `session`
#

# --------------------------------------------------------

#
# Struktura tabulky `team`
#

DROP TABLE IF EXISTS team;
CREATE TABLE team (
  login varchar(8) binary NOT NULL default '',
  passwd varchar(16) binary NOT NULL default '',
  name varchar(30) NOT NULL default '',
  role varchar(30) NOT NULL default '',
  email varchar(40) NOT NULL default '',
  icq varchar(9) NOT NULL default '',
  PRIMARY KEY  (login)
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `team`
#

INSERT INTO team VALUES ('xlipen00', '641079fa6baeae51', 'Pavel Lipensk', 'webmaster', 'xlipen00@stud.fit.vutbr.cz', '226550794');
# --------------------------------------------------------

#
# Struktura tabulky `team_session`
#

DROP TABLE IF EXISTS team_session;
CREATE TABLE team_session (
  id int(11) NOT NULL default '0',
  login varchar(8) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumpuji data pro tabulku `team_session`
#


