<?
  require_once("comm_fns.php");
  require_once("db_fns.php");
  require_once("html_fns.php");
  require_once("valid_fns.php");
  
class forum_tree {
  var $forum = array();  // prispevek
  var $level = array();  // uroven zanoreni
  var $child = array();  // pocet synu 
}

  
function forum_load_tree(&$tree, &$child, $pid=0, $level=0)  
// rekurzivni vytvoreni stromu diskuzniho fora
{
  $i = $child = 0;
  $err = db_forum($forum, $pid);
  $cnt = count($forum);  
  while(!$err && $i<$cnt) {
    $n = count($tree->forum);
    $tree->forum[] = $forum[$i];
    $tree->level[] = $level;
    $err = forum_load_tree($tree, $child, $forum[$i][0], $level+1);
    $tree->child[$n] = $child; // zpetne doplni pocet synu
    $i++;
  }
  $child=$cnt;
  return $err;
}

function forum_print_tree(&$tree, $bid=-1)  
// zpozdeny vypis stromu s rozbalenou vetvi
{
  global $auth;
  for ($i=0; $i < count($tree->forum); $i++)
    html_forum($tree->forum[$i], $tree->level[$i], 
               $tree->forum[$i][0]==$bid || $tree->forum[$i][1]==$bid, // vetev
               !$tree->child[$i] || $auth!=$tree->forum[$i][7] );
}
  session_start();  

  html_head_begin(); ?><!--WZ-REKLAMA-1.0--><? html_head_end();
 
  if (session_is_registered("auth")) { 
  
    html_menu($AUTH_MENU, "forum");

    if($id && $act
     && ($act=="del" || !($err=valid_forum($HTTP_POST_VARS)))  // kontrola s opravou
     && !($err=db_store_forum($act)) ) {      // zapis prispevku fora

      if ($notify) {         // notifikace
        html_section($NOTIFY_SECTION);
        if ($err=db_team($team)) html_msg($err, "err");
	else html_notify_team($team, "forum", "RPS - $title", $msg);
        $err="";
      }
      
      if ($pid && $act=="add") {         // preposlani odpovedi
        if ($err=db_forward($author, $pid)) {
          html_section($NOTIFY_SECTION);
          html_msg($err, "err");
	}  
	else if ($author)   
          comm_notify($author[2], "forum", "RPS - $title", $msg);
        $err="";
      }

      $forum = array("null", "null", "", "", "");
      $act = "add";
    }
    else if($id && !$act) {   // nacteni pro modifikaci
      $err = db_load_forum($forum, $id);

      if($forum && $auth!=$forum[7]) { // odpoved
        $reply = $forum;
        $forum = array("null", $forum[0], "Re: $forum[2]", "", "");  
        $act="add";
      }
      else {  // modifikace
        if(!$forum) {      // zaznam neexistuje, vytvori novy  
          $forum = array("null", "null", "", "", "");  
          $act="add";
        }
        $act="mod";
      }	
    }
    else {                     // chyby nebo prazdny formular
      if(!$act || $act=="del") { $id="null"; $pid="null"; $act="add"; }
      $forum = array($id, $pid, $title, $msg, $forward);
    }  

    html_section(($act=="mod")
                 ? $FORUM_MOD_SECTION 
		 : (($reply)? $FORUM_REP_SECTION : $FORUM_ADD_SECTION) );
    
    if($err) html_msg($err, "err");
    if($reply) html_forum($reply, 0, true, false);
    html_forum_form($forum, $act);
    
    html_section($FORUM_SECTION);
  
    $tree = new forum_tree();
    if($err=forum_load_tree($tree, $aux)) html_msg($err, "err");
    else forum_print_tree($tree, $bid);
  }

  else { 
    html_menu($HOST_MENU, "forum");
    html_section($FORUM_SECTION);
    html_msg($FORUM_MSG);

    $tree = new forum_tree();
    if($err=forum_load_tree($tree, $aux)) html_msg($err, "err");
    else forum_print_tree($tree);
  }

  html_tail();
?>
