<?
  require_once("comm_fns.php");
  

function html_text($text)
{
  return str_replace("\n", "<br/>\n", $text);
}

function html_data($data)
{
 return str_replace("<", "&lt;", $data);
}


function html_limited_data($data)
{
  global $MAX_TEXT_LEN;
  return html_data(substr($data, 0, $MAX_TEXT_LEN));
}


function html_section($name)
{
  echo "<h2>$name</h2>\n";
}


function html_msg($msg, $class="")
{
  if ($class) $class = " class=\"$class\"";
  echo "<p$class>$msg</p>\n";
}


function html_url($href, $text="", $title="", $class="", $raw="")
{
  if (!$text) $text = $href;
  $href = " href=\"$href\"";
  if ($title) $title = " title=\"$title\"";
  if ($class) $class = " class=\"$class\"";
  return "<a$href$title$class$raw>$text</a>";
}


function html_img($img, $alt="", $raw="")
{
  return "<img src=\"$img\" alt=\"$alt\"$raw>";
}


function html_head_begin()  { // zacatek HTML hlavicky (rozdelene kvuli vkladani reklamy) 
global $HTML_TITLE, $auth;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
   <title><? echo $HTML_TITLE . (($auth)? " ($auth)" :"") ?></title>
   <link rel="stylesheet" href="iop.css" type="text/css">
</head>
<body>

<table cellspacing=0 cellpadding=0 width="100%">   
<tr>
   <td width="100%"><img src="img/iop.png" width="240" height="80" alt="I.O.P."></td>
   <td align="right" valign="top"><? 
}


function html_head_end()  { // konec HTML hlavicky (rozdelene kvuli vkladani reklamy) 
?></td>
</tr>
</table>

<?
}




function html_menu($menu, $page)  // HTML hlavicka
{
  echo "<table cellspacing=5 cellpadding=5 width=\"100%\">\n<tr>\n";
  for ($i=0; $i < count($menu[0]); $i++) {
    $class = ($page==$menu[0][$i])? "menu1" : "menu0";
    echo "   <td>". 
         html_url($menu[0][$i] . ".php", $menu[1][$i], "", $class). 
	 "</td>\n";
  }
  echo "   <td align=\"right\" valign=\"top\" width=\"100%\">";
  $raw =" width=88 height=31";
  echo html_url("http://validator.w3.org/check/referer", 
                html_img("img/html40.png", "Valid HTML 4.0!", $raw)).
       html_url("http://jigsaw.w3.org/css-validator/check/referer", 
                html_img("img/vcss.png", "Valid CSS!", $raw));
  echo "</td>\n";
  echo "</tr>\n</table>\n\n";
}


function html_tail()  // HTML paticka
{
?>
</body>
</html>
<?
}

function html_team(&$data)  // seznam clenu tymu
{
  global $NAME, $ICQ, $ROLE;
  echo "<table cellspacing=5 cellpadding=0>\n<tr>\n";
  echo "   <td class=\"label\">$NAME</td>\n".
       "   <td class=\"label\">$ICQ</td>\n".
       "   <td class=\"label\">$ROLE</td>\n".
       "   <td></td>\n";
  for($i=0; $i<count($data); $i++) {
    echo "</tr><tr>\n";
    echo "   <td class=\"name\">". 
         html_url("mailto:". $data[$i][2] . "?subject=RPS", 
                  $data[$i][1], "", "name") .
         "</td>\n".
         "   <td class=\"icq\">". $data[$i][3] ."</td>\n".
         "   <td class=\"role\">". $data[$i][4] ."</td>\n";
  } 
  echo "</tr>\n</table>\n\n";
}


function html_notify_team($team, $from, $subj, $msg) 
{
  global $auth, $NOTIFY_OK_MSG, $NOTIFY_ERR_MSG;
  for($i=0; $i < count($team); $i++)     
    if ($auth!=$team[$i][0]) {
      if($i) $to.=" ";
      $to.=$team[$i][2]; // seznam emailu
    }  
  if (comm_notify($to, $from, $subj, $msg)) html_msg($NOTIFY_OK_MSG);
  else html_msg($NOTIFY_ERR_MSG, "err");
}


function html_session(&$data)  
{
  global $MODIFY, $DELETE, $auth,
         $DATE, $SUBJECT, $RESULT;
  echo "<table cellspacing=5 cellpadding=0>\n<tr>\n";
  echo "   <td class=\"label\">$DATE</td>\n".
       "   <td class=\"label\">$SUBJECT / $RESULT</td>\n";
  for ($i=0; $i<count($data); $i++) {
      echo "</tr><tr>\n";
      echo "   <td class=\"olddate\" nowrap>". comm_short_date($data[$i][1]) ."</td>\n".
           "   <td class=\"subject\">". $data[$i][2] . "</td>\n";
      echo "</tr><tr>\n";	   
      echo (($auth==$data[$i][4])      
	   ? ("   <td class=\"result\">".
	      html_url("team.php?id=". $data[$i][0], $MODIFY, "", "label"). "<br/>".
              html_url("team.php?id=". $data[$i][0]. "&act=del", $DELETE, "", "label").
	      "</td>\n")
	   : "   <td></td>\n").
           "   <td class=\"result\">". $data[$i][3] . "</td>\n";
  }
  echo "</tr>\n</table>\n\n";
}


function html_project(&$data)  
{
  global $auth, $MODIFY, $DELETE, $PROJNAME, $DEADLINE, $STATE, $RESPON;
  echo "<table cellspacing=10 cellpadding=0>\n<tr>\n";
  echo "   <td class=\"label\">$STATE</td>\n".
       "   <td class=\"label\">$PROJNAME</td>\n".
       "   <td class=\"label\">$DEADLINE</td>\n".
       "   <td class=\"label\">$RESPON</td>\n".       
       "   <td></td>\n";
  for($i=0; $i<count($data); $i++) {
    $p = ((int) $data[$i][3]) * 25; // faze
    echo "</tr><tr>\n";
    echo "   <td>". 
         html_img("img/state". $data[$i][3] . ".gif", "$p%", " title=\"$p%\" width=16 height=16").
         "</td>\n".
         "   <td class=\"name\">". $data[$i][1] ."</td>\n". 
         "   <td class=\"". 
	 ((comm_date_expired($data[$i][2]))? "olddate" : "newdate").
	 "\">". comm_short_date($data[$i][2]) . "</td>\n".
	 "   <td class=\"respon\">". $data[$i][5]. "</td>\n".	 
	 (($auth==$data[$i][4])
	  ? ("   <td>". 
             html_url("project.php?id=". $data[$i][0], $MODIFY, "", "label"). "<br/>".
	     html_url("project.php?id=". $data[$i][0]. "&act=del", $DELETE, "", "label").
	     "</td>\n") 	
          : "   <td></td>\n");
  }
  echo "</tr>\n</table>\n\n";
}


function html_news(&$data)  
{
  global $auth, $MODIFY, $DELETE, $DATE, $TITLE, $MESSAGE;
  echo "<table cellspacing=5 cellpadding=0>\n<tr>\n";
  echo "   <td class=\"label\">$DATE</td>\n".
       "   <td class=\"label\">$TITLE / $MESSAGE</td>\n";
  for($i=0; $i<count($data); $i++) {
    echo "</tr><tr>\n";
    echo "   <td class=\"". ((comm_date_expired($data[$i][1]))? "olddate" : "newdate") ."\" nowrap>".  
         comm_short_date($data[$i][1]). "</td>\n". 
         "   <td class=\"title\">". $data[$i][2] . "</td>\n";
    echo "</tr><tr>\n".
         (($auth)
	  ? ("   <td class=\"msg\">". 
	     html_url("index.php?id=". $data[$i][0], $MODIFY, "", "label").  "<br/> ".
	     html_url("index.php?id=". $data[$i][0]. "&act=del", $DELETE, "", "label").
	     "</td>\n") 	
          : "   <td></td>\n").
         "   <td class=\"msg\">". $data[$i][3] . "</td>\n";
  }
  echo "</tr>\n</table>\n\n";
}


function html_forum(&$data, $level, $msg, $edit)  
{
  global $auth, $MODIFY, $DELETE, $REPLY, $EXPAND;
  $offset = ($level*5). "%";
  echo "<table cellspacing=2 cellpadding=2 width=\"100%\">\n<tr>\n";
  echo "   <td width=\"$offset\"></td>\n".
       "   <td class=\"title\" nowrap>".
       (($auth)
        ? html_url("forum.php?bid=$data[0]#$data[0]", $data[2], $EXPAND, 
	           "title", " name=$data[0]")
	: $data[2]).
       "</td>\n".
       "   <td class=\"". ((comm_time_expired($data[5]))? "oldstamp" : "newstamp") ."\" nowrap>".         
       "$data[6]<br/>". comm_timestamp($data[5]) ."</td>\n".
       (($edit && $auth)
	? ("   <td width=\"100%\">". 
	   (($auth==$data[7])
	    ? ( html_url("forum.php?id=". $data[0], $MODIFY, "", "label").  "<br/> ".
                html_url("forum.php?id=". $data[0]. "&act=del", $DELETE, "", "label"))
	    : html_url("forum.php?id=". $data[0], $REPLY, "", "label") ).
	   "</td>\n") 	
        : "   <td width=\"100%\"></td>\n");
       	
 if ($msg) {
   echo "</tr><tr>\n";
   echo "   <td></td>\n".
        "   <td colspan=3 class=\"msg\">". html_text($data[3]) ."</td>\n";
 }
 echo "</tr>\n</table>\n\n";
}


function html_files(&$data)  // tisk seznamu souboru
{
  global $MODIFY, $DELETE, $DOC_PATH, $auth,
         $STAMP, $FILETITLE, $FILETEXT, $FILETYPE, $FILETYPE0, $FILETYPE1;
  echo "<table cellspacing=2 cellpadding=2>\n<tr>\n";
  echo "   <td class=\"label\">$FILETYPE</td>\n".
       "   <td class=\"label\">$STAMP</td>\n".
       "   <td class=\"label\">$FILETITLE / $FILETEXT</td>\n";
  for ($i=0; $i<count($data); $i++) {
      $ft = ($data[$i][4])? $FILETYPE1 : $FILETYPE0;
      $fs = @filectime("$DOC_PATH/". $data[$i][1]);
      
      echo "</tr><tr>\n";
      echo "   <td rowspan=2 valign=\"top\">".
           html_img("img/lock".$data[$i][4].".gif", $ft, " title=\"$ft\" width=32 height=32").
           "</td>\n".
           "   <td class=\"". ((comm_time_expired($fs))? "oldstamp" : "newstamp") ."\" nowrap>".
           $data[$i][6] . "<br/>" . comm_timestamp($fs) .
	   "</td>\n".
           "   <td class=\"subject\">". 
	   (($auth || !$data[$i][4])
	    ? html_url("$DOC_PATH/". $data[$i][1], $data[$i][2], 
	               comm_file_size(@filesize("$DOC_PATH/" . $data[$i][1])), "subject")
	    : $data[$i][2]). 
	   "</td>\n";
      echo "</tr><tr>\n";
      echo "   <td>".
           (($auth==$data[$i][5])
	    ? ( html_url("files.php?id=". $data[$i][0], $MODIFY, "", "label"). "<br/>".
                html_url("files.php?id=". $data[$i][0]. "&act=del", $DELETE, "", "label") )
	    : "").
           "</td>\n".
           "   <td class=\"text\">". $data[$i][3] ."</td>\n";
  }  
  echo "</tr>\n</table>\n\n";  
}



function html_login_form()  // prihlasovaci formular: odesila $login a $passwd na login.php
{
global $LOGIN, $PASSWD, $MAX_LOGIN_LEN, $MAX_PASSWD_LEN, $LOGIN_BUTTON;
?>
<form method=post action="login.php">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $LOGIN ?></td>
   <td valign="top"><input type=text name="login" size=16 maxlength=<? echo $MAX_LOGIN_LEN ?>></td>
</tr><tr>
   <td align="right"><? echo $PASSWD ?></td>
   <td valign="top"><input type=password name="passwd" size=16 maxlength=<? echo $MAX_PASSWD_LEN ?>></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $LOGIN_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_setting_form(&$data)  // formular osobniho nastaveni
{
global $OLD_PASSWD, $NEW_PASSWD, $CFR_PASSWD, $NAME, $EMAIL, $ICQ,
       $MAX_PASSWD_LEN, $MAX_NAME_LEN, $MAX_EMAIL_LEN, $MAX_ICQ_LEN, 
       $STORE_BUTTON;
?>
<form method=post action="setting.php">
<input type=hidden name="login" value="<? echo $data[0] ?>">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $OLD_PASSWD ?></td>
   <td valign="top"><input type=password name="passwd0" size=16<? 
   echo " maxlength=$MAX_PASSWD_LEN" ?> ></td>
</tr><tr>
   <td align="right"><? echo $NEW_PASSWD ?></td>
   <td valign="top"><input type=password name="passwd1" size=16<? 
   echo " maxlength=$MAX_PASSWD_LEN" ?> ></td>
</tr><tr>
   <td align="right"><? echo $CFR_PASSWD ?></td>
   <td valign="top"><input type=password name="passwd2" size=16<? 
   echo " maxlength=$MAX_PASSWD_LEN" ?> ></td>
</tr><tr>
   <td align="right"><? echo $NAME ?></td>
   <td valign="top"><input type=text name="name" size=30<?
   echo " maxlength=$MAX_NAME_LEN value=\"$data[1]\"" ?>></td>
</tr><tr>
   <td align="right"><? echo $EMAIL ?></td>
   <td valign="top"><input type=text name="email" size=30<?
   echo " maxlength=$MAX_EMAIL_LEN value=\"$data[2]\"" ?>></td>
</tr><tr>
   <td align="right"><? echo $ICQ ?></td>
   <td valign="top"><input type=text name="icq" size=16<?
   echo " maxlength=$MAX_ICQ_LEN value=\"$data[3]\"" ?>></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_session_form(&$data, $action)  // formular zapisu z jednani
{
global $DATE, $SUBJECT, $RESULT,
       $MAX_DATE_LEN, $MAX_SUBJECT_LEN, $MAX_TEXT_LEN, 
       $STORE_BUTTON;
?>
<form method=post action="team.php">
<input type=hidden name="id" value="<? echo $data[0] ?>">
<input type=hidden name="act" value="<? echo $action ?>">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $DATE ?></td>
   <td valign="top"><input type=text name="date" size=16<? 
   echo " maxlength=$MAX_DATE_LEN value=\"$data[1]\"" ?>> (YYYY-MM-DD)</td>
</tr><tr>
   <td align="right"><? echo $SUBJECT ?></td>
   <td valign="top"><input type=text name="subject" size=80<? 
   echo " maxlength=$MAX_SUBJECT_LEN value=\"$data[2]\""?> ></td>
</tr><tr>    
   <td align="right" valign="top"><? echo $RESULT ?></td>
   <td><textarea name="result" rows=4 cols=80<? 
   echo " maxlength=$MAX_TEXT_LEN>$data[3]" ?></textarea></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_project_form(&$data, $action)  // formular soucasti projektu
{
global $PROJNAME, $DEADLINE, $STATE,
       $MAX_PROJECT_LEN, $MAX_STATE_VALUE, $MAX_DATE_LEN,
       $STORE_BUTTON;
?>
<form method=post action="project.php">
<input type=hidden name="id" value="<? echo $data[0] ?>">
<input type=hidden name="act" value="<? echo $action ?>">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $PROJNAME ?></td>
   <td valign="top"><input type=text name="name" size=30<? 
   echo " maxlength=$MAX_PROJECT_LEN value=\"$data[1]\"" ?>></td>
</tr><tr>
   <td align="right"><? echo $DEADLINE ?></td>
   <td valign="top"><input type=text name="deadline" size=16<? 
   echo " maxlength=$MAX_DATE_LEN value=\"$data[2]\""?> > (YYYY-MM-DD)</td>
</tr><tr>    
   <td align="right" valign="top"><? echo $STATE ?></td>
   <td><select name="state">  
<?
  for ($i=0; $i<$MAX_STATE_VALUE; $i++) {
      echo "      <option value=\"$i\"". 
          (($i == ((int) $data[3]))? " selected>" : ">").
          ($i*25). "%</option>\n";
  }     
?>
   </select></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_news_form(&$data, $action)  // formular aktuality
{
global $TITLE, $DATE, $MESSAGE, $NOTIFY_TEAM,
       $MAX_TITLE_LEN, $MAX_DATE_LEN, $MAX_TEXT_LEN,
       $STORE_BUTTON;
?>
<form method=post action="index.php">
<input type=hidden name="id" value="<? echo $data[0] ?>">
<input type=hidden name="act" value="<? echo $action ?>">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $DATE ?></td>
   <td valign="top"><input type=text name="date" size=16<? 
   echo " maxlength=$MAX_DATE_LEN value=\"$data[1]\""?> > (YYYY-MM-DD)</td>
</tr><tr>
   <td align="right"><? echo $TITLE ?></td>
   <td valign="top"><input type=text name="title" size=60<? 
   echo " maxlength=$MAX_TITLE_LEN value=\"$data[2]\"" ?>></td>
</tr><tr>    
   <td align="right" valign="top"><? echo $MESSAGE ?></td>
   <td><textarea name="msg" rows=4 cols=80<? 
   echo " maxlength=$MAX_TEXT_LEN>$data[3]" ?></textarea></td>
</tr><tr>
   <td></td>
   <td><input type=checkbox name="notify" value="1"> <? echo $NOTIFY_TEAM ?></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_forum_form(&$data, $action)  // formular prispevku
{
global $TITLE, $MESSAGE, $NOTIFY_TEAM, $NOTIFY_AUTHOR,
       $MAX_TITLE_LEN, $MAX_TEXT_LEN, $STORE_BUTTON;
?>
<form method=post action="forum.php">
<input type=hidden name="id" value="<? echo $data[0] ?>">
<input type=hidden name="pid" value="<? echo $data[1] ?>">
<input type=hidden name="act" value="<? echo $action ?>">
<table cellpadding=2 cellspacing=2>
<tr>
   <td align="right"><? echo $TITLE ?></td>
   <td valign="top"><input type=text name="title" size=60<? 
   echo " maxlength=$MAX_TITLE_LEN value=\"$data[2]\"" ?>></td>
</tr><tr>    
   <td align="right" valign="top"><? echo $MESSAGE ?></td>
   <td><textarea name="msg" rows=4 cols=80<? 
   echo " maxlength=$MAX_TEXT_LEN>$data[3]" ?></textarea></td>
</tr><tr>
   <td></td>
   <td><?

   if ($data[1]=="null" || $data[1]==0)
     echo "<input type=checkbox name=\"notify\" value=\"1\">$NOTIFY_TEAM".
          "&nbsp;&nbsp;&nbsp;&nbsp;";
   echo "<input type=checkbox name=\"forward\" value=\"1\"".  
        (($data[4])? " checked>" : ">"). $NOTIFY_AUTHOR;
?></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}


function html_files_form(&$data, $action)  // formular aktuality
{
global $FILESOURCE, $FILETARGET, $FILETITLE, $FILETEXT, $FILEPRIVATE,
       $MAX_FILENAME_LEN, $MAX_TITLE_LEN, $MAX_TEXT_LEN,
       $STORE_BUTTON, $SEND_BUTTON, $MAX_FILE_SIZE;

  if ($data[0]=="null") 
    echo "<form enctype=\"multipart/form-data\" method=post action=\"files.php\">\n";
  else 
    echo "<form method=post action=\"files.php\">\n";
?>
<input type=hidden name="id" value="<? echo $data[0] ?>">
<input type=hidden name="act" value="<? echo $action ?>">
<table cellpadding=2 cellspacing=2>
<tr>
<?
   if($data[0]=="null") {
   
?><td align="right"><? echo $FILESOURCE ?></td>
   <td valign="top"><input name="srcfile" size=60 type=file> (max. <? echo comm_file_size($MAX_FILE_SIZE) ?>)</td>
</tr><tr>
   <td align="right"><? echo $FILETARGET ?></td>
   <td valign="top"><input type=text name="file" size=16<? 
   echo " maxlength=$MAX_FILENAME_LEN value=\"$data[1]\""?>> ( A-Z | a-z | 0-9 | _ | . | - )+</td>
</tr><tr>
<?
}
?><td align="right"><? echo $FILETITLE ?></td>
   <td valign="top"><input type=text name="title" size=60<? 
   echo " maxlength=$MAX_TITLE_LEN value=\"$data[2]\"" ?>></td>
</tr><tr>    
   <td align="right" valign="top"><? echo $FILETEXT ?></td>
   <td><textarea name="text" rows=4 cols=80<? 
   echo " maxlength=$MAX_TEXT_LEN>$data[3]" ?></textarea></td>
</tr><tr>
   <td></td>
   <td><input type=checkbox name="private" value="1"<?
   
   echo  (($data[4])? " checked>" : ">"). $FILEPRIVATE;
?></td>
</tr><tr>
   <td></td>
   <td><input type=submit value="<? echo ($data[0]=="null")? $SEND_BUTTON : $STORE_BUTTON ?>"></td>
</tr>
</table>
</form>

<?
}

?>
