<?
  require_once("comm_fns.php");
  require_once("db_fns.php");
  require_once("html_fns.php");
  require_once("valid_fns.php");

  session_start();
  
  html_head_begin(); ?><!--WZ-REKLAMA-1.0--><? html_head_end();
 
  if (session_is_registered("auth")) { 
  
    html_menu($AUTH_MENU, "project");

    if($id && $act
     && ($act=="del" || !($err=valid_project($HTTP_POST_VARS)))  // kontrola s opravou
     && !($err=db_store_project($act)) ) {      // zapis stavu projektu

      $proj = array("null", "", "", "", $auth);
      $act = "add";      
    }
    else if($id && !$act) {   // nacteni pro modifikaci
      $err = db_load_project($proj, $id, $auth);
      if(!$proj) {            // zaznam neexistuje, vytvori novy  
        $proj = array("null", "", "", "", $auth);
        $act="add";
      }		
      $act="mod";
    }
    else {                     // chyby nebo prazdny formular
      if(!$act || $act=="del") { $id="null"; $act="add"; }
      $proj = array($id, $name, $deadline, $state, $auth);
    }  

    html_section(($act=="mod")? $PROJ_MOD_SECTION : $PROJ_ADD_SECTION);
    if($err) html_msg($err, "err");
    html_project_form($proj, $act);
    
    html_section($PROJ_SECTION);
    if ($err = db_project($proj))
      html_msg($err, "err");
    else 
      html_project($proj);
  }

  else { 
    html_menu($HOST_MENU, "project");
    
    html_section("Sov analza");
?>
<p><b>Zadavatel:</b> MINOLTA (Brno)<br/><br/>
Vytvote aktivn webov strnky (program), kter umon zadvat,
editovat, prohlet a sumarizovat tzv. &#8222;Sovou analzu spolenosti&#8220;.
Program by ml bt sestaven tak, aby jednodue dokzal poskytnout
zkladn informace o&nbsp;IT struktue a zzem spolenosti pro pracovnky
HELP LINE a servisu. Dle by ml umoovat provdt statistick souhrny
a vyhledvn spolenost na zklad definovanch daj. (vechny
spolenosti se systmem SAP, nebo mainframe IBM, atd.). Analza by mla
poskytnout kompletn informace&nbsp;o:</p>
<ul>
  <li> HW (mainframe, infrastruktura, topologie, periferie, ...)</li>
  <li> OS (DOS, UNIX, ...)</li>

  <li> SW (Novell, SAP, MS Office, ...)</li>
</ul>
<br/>
<b>Systm by ml umoovat:</b><br/>
<ul>
  <li> Vkldat nov spolenosti (zkladn informace, kontakt, ...)</li>
  <li> Zadvan pomoc definovanch voleb (vbry) - aktivn
pizpsoben dalch otzek (nap. WIN.. nabdne 95,98... XP)</li>
  <li> Vloen nov pipojenho zazen a zpsobu zapojen</li>
  <li> Zodpovdnou osobu za analzu (zapojen), datum</li>
  <li> Editaci ji proveden analzy (doplnn...)</li>
  <li> Vyhledn spolenost a zobrazen analzy</li>
  <li> Statistiky a souhrny</li>
</ul>
<br>
<b>Poadavky:</b><br/> 
<ul>
  <li> SQL databze</li>
</ul>  
      
<?      
    html_section($LINK_SECTION);
    html_msg(
      html_url("http://www.fit.vutbr.cz/study/courses/RPS/",
               "zen projekt systm zaloench na potach",
	       "Oficiln strnky kurzu RPS").
      "<br/>\n".	       
      html_url("http://jaja.kn.vutbr.cz/~bednar4/rps/",
               "WEB pro pedmet RPS",
	       "Aktuln informace k projektm a kolm z RPS").
      "<br/><br/>\n".	       
      html_url("http://fitworks.wz.cz/",
               "FITWorks",
	       "Konkuren RPS tm").
      "<br/>\n".	       	       
      html_url("http://k4-332b.kn.vutbr.cz/rps/",
               "iDream",
	       "Konkuren RPS tm")
      );
	       
	       
	       

	     
	     
  }

  html_tail();
?>
